Google Web Toolkit (Beta)
Search this site:

# Class DeferredCommand

public class DeferredCommand
extends Object
This class allows you to execute code after all currently pending event handlers have completed, using the addCommand(Command) or addCommand(IncrementalCommand) methods. This is useful when you need to execute code outside of the context of the current stack.

## Methods

add(Command) | Enqueues a Command to be fired after all current events have been handled.
addCommand(Command) | Enqueues a Command to be fired after all current events have been handled.
addCommand(IncrementalCommand) | Enqueues an IncrementalCommand to be fired after all current events have been handled.
addPause() | Adds a "pause" to the queue of DeferredCommands.

## Method Detail

### add

public static void add(Command cmd)
Enqueues a Command to be fired after all current events have been handled.

#### Parameters

cmd
  the command to be fired. If cmd is null, a "pause" will be inserted into the queue. Any events added after the pause will wait for an additional cycle through the system event loop before executing. Pauses are cumulative.

### addCommand

public static void addCommand(Command cmd)
Enqueues a Command to be fired after all current events have been handled. Note that the Command should not perform any blocking operations.

#### Parameters

cmd
  the command to be fired

### addCommand

public static void addCommand(IncrementalCommand cmd)
Enqueues an IncrementalCommand to be fired after all current events have been handled. Note that the IncrementalCommand should not perform any blocking operations.

#### Parameters

cmd
  the command to be fired

### addPause

public static void addPause()
Adds a "pause" to the queue of DeferredCommands. Any DeferredCommands or pauses that are added after this pause will wait for an additional cycle through the system event loop before executing.